<?php
/**
 *   -     (RU)
 *
 * @package   SearchLogger
 * @copyright (c) 2025 salvocortesiano
 * @license   GNU General Public License, version 2 (GPL-2.0)
 */

if (!defined('IN_PHPBB'))
{
    exit;
}

if (empty($lang) || !is_array($lang))
{
    $lang = array();
}

//   
//
//       UTF-8     BOM.
//
//       , , 
// ' %s  %s'   ' %1$s  %2$s',  
//     ,   
//
//      , , ' %d' ,
//        ,    URL,
// , ' %s%s' -    

$lang = array_merge($lang, array(
    'ACP_SEARCHLOGGER_TITLE'                => ' ',
    'ACP_SEARCHLOGGER_SETTINGS'             => '',
    'ACP_SEARCHLOGGER_VIEW'                 => ' ',
    'ACP_SEARCHLOGGER_SETTINGS_EXPLAIN'     => '       .',
    'ACP_SEARCHLOGGER_VIEW_EXPLAIN'         => '        .',
    'ACP_SEARCHLOGGER_SEARCH_RESULTS'       => '',
    
    'ACP_SEARCHLOGGER_ENABLE'               => '  ',
    'ACP_SEARCHLOGGER_ENABLE_EXPLAIN'       => '       .',
    'ACP_SEARCHLOGGER_RETENTION_DAYS'       => '  ',
    'ACP_SEARCHLOGGER_RETENTION_DAYS_EXPLAIN' => '     .     .  0   .',
    
    'ACP_SEARCHLOGGER_SETTINGS_SAVED'       => '    .',
    'ACP_SEARCHLOGGER_NO_LOGS'              => '   .',
    'ACP_SEARCHLOGGER_EXPORT'               => '',
    'ACP_SEARCHLOGGER_EXPORT_FORMAT'        => ' ',
    'ACP_SEARCHLOGGER_EXPORT_HEADER'        => '  ',
    'ACP_SEARCHLOGGER_DELETE_ALL'           => '  ',
    'ACP_SEARCHLOGGER_CONFIRM_DELETE'       => ' ,      ?',
    'ACP_SEARCHLOGGER_LOGS_DELETED'         => '    .',
    'ACP_SEARCHLOGGER_INVALID_FORMAT'       => '  .',
    'ACP_SEARCHLOGGER_EXCEL_LIBRARY_MISSING' => ' PhpSpreadsheet  .      Excel.',
    'ACP_SEARCHLOGGER_PHPSPREADSHEET_REQUIRED' => '  PhpSpreadsheet.      Excel.',
    'ACP_SEARCHLOGGER_EXCEL_ERROR'          => '    Excel-',
));